summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ham/demorse/README8
-rw-r--r--ham/demorse/demorse.SlackBuild96
-rw-r--r--ham/demorse/demorse.info10
-rw-r--r--ham/demorse/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/ham/demorse/README b/ham/demorse/README
new file mode 100644
index 0000000000..f7f9951aa8
--- /dev/null
+++ b/ham/demorse/README
@@ -0,0 +1,8 @@
+demorse is a Morse code decoding application for the console. It
+detects the receiver's audio output via the computer's sound card,
+using simple dsp techniques, and then decodes the mark/space
+sequence into characters which are printed on the console screen.
+demorse has some tolerance to bad operator "fists" and noise or
+interference. demorse can measure and adapt to the Morse transmission's
+speed within the range of 10-30 words per minute, the default
+starting speed being set to about 20 wpm.
diff --git a/ham/demorse/demorse.SlackBuild b/ham/demorse/demorse.SlackBuild
new file mode 100644
index 0000000000..82b6c12e49
--- /dev/null
+++ b/ham/demorse/demorse.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+# Slackbuild for demorse
+# Written by JK Wood joshuakwood@gmail.com
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=demorse
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* ChangeLog INSTALL NEWS README* doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/demorse/demorse.info b/ham/demorse/demorse.info
new file mode 100644
index 0000000000..925ec4d4ff
--- /dev/null
+++ b/ham/demorse/demorse.info
@@ -0,0 +1,10 @@
+PRGNAM="demorse"
+VERSION="1.2"
+HOMEPAGE="http://www.qsl.net/5b4az/"
+DOWNLOAD="http://www.qsl.net/5b4az/pkg/morse/demorse/demorse-1.2.tar.bz2"
+MD5SUM="d4800b759ef4c8ffb6e73d173bcd563b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/demorse/slack-desc b/ham/demorse/slack-desc
new file mode 100644
index 0000000000..e3d5d5d159
--- /dev/null
+++ b/ham/demorse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+demorse: demorse (morse code decoder program for Linux)
+demorse:
+demorse: demorse is a morse code to text decoder application for Linux. It
+demorse: detects the "dihs" and "dahs" that make a morse code character
+demorse: via the computers sound card, which can be connected to a radio
+demorse: receiver tuned to a CW transmission or to a tone generator. Demorse
+demorse: is currently a non-interactive tool, and decoded morse code signals
+demorse: are sent to stdout.
+demorse:
+demorse: Homepage: http://www.qsl.net/5b4az/
+demorse: